{
  imports = [ <plasma-manager/modules> ];
  programs.plasma = {
    enable = true;
    panels = [{
      location = "bottom";
      screen = "all";
      wigets = [
        {
          kickoff = {
            sortAlphabetically = true;
            icon = "nix-snowflake";
          };
        }
        {
          iconTasks = {
            launchers = [
              "applications:zen"
              "applications:vesktop"
              "applications:steam"
              "applications:org.prismlauncher.PrismLauncher"
              "applications:code"
              "applications:org.kde.konsole"
              "applications:org.kde.dolphin"
            ];
          };
        }
        {
          digitalClock = {
            calendar.firstDayOfWeek = "sunday";
            time.format = "12h";
          };
        }
      ];
    }];
    #TODO: Convert everything below this to use higher level modules
    shortcuts = {
      "services/net.local.spectacle-screenshot.py-2.desktop"."_launch" =
        "Shift+Print";
      "services/net.local.spectacle-screenshot.py.desktop"."_launch" = "Print";
      "services/org.kde.spectacle.desktop"."ActiveWindowScreenShot" = [ ];
      "services/org.kde.spectacle.desktop"."FullScreenScreenShot" = [ ];
      "services/org.kde.spectacle.desktop"."RecordRegion" = [ ];
      "services/org.kde.spectacle.desktop"."RecordScreen" = [ ];
      "services/org.kde.spectacle.desktop"."RecordWindow" = [ ];
      "services/org.kde.spectacle.desktop"."RectangularRegionScreenShot" = [ ];
      "services/org.kde.spectacle.desktop"."WindowUnderCursorScreenShot" = [ ];
      "services/org.kde.spectacle.desktop"."_launch" = [ ];
    };
    configFile = {
      "katerc"."KTextEditor Renderer"."Color Theme" = "Catppuccin Mocha";
      "kded5rc"."Module-browserintegrationreminder"."autoload" = false;
      "kded5rc"."Module-device_automounter"."autoload" = false;
      "kwalletrc"."Wallet"."First Use" = false;
      "kwinrc"."Desktops"."Id_1" = "f523b65c-46b8-4c91-94f4-9e247db75777";
      "kwinrc"."Desktops"."Number" = 1;
      "kwinrc"."Desktops"."Rows" = 1;
      "kwinrc"."Plugins"."sheetEnabled" = true;
      "kwinrc"."Plugins"."wobblywindowsEnabled" = true;
      "kwinrc"."Plugins"."zoomEnabled" = false;
      "kwinrc"."org.kde.kdecoration2"."theme" = "Breeze";
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."Description" =
        "Application settings for Code";
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."clientmachine" =
        "localhost";
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."desktopfile" =
        "/etc/profiles/per-user/cswimr/share/applications/code.desktop";
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."desktopfilerule" =
        3;
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."wmclass" =
        "code code-url-handler";
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."wmclasscomplete" =
        true;
      "kwinrulesrc"."700b0164-f5bb-47c9-93fc-2a4587821757"."wmclassmatch" = 1;
      "kwinrulesrc"."General"."count" = 1;
      "kwinrulesrc"."General"."rules" = "700b0164-f5bb-47c9-93fc-2a4587821757";
    };
  };
}
